View Issue Details

IDProjectCategoryView StatusLast Update
0004750Talerwallet (WebExtensions)public2016-11-20 03:26
ReporterMarcello StanisciAssigned ToFlorian Dold 
PrioritynormalSeverityblockReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.1 
Target Version0.2Fixed in Version0.2 
Summary0004750: New names for contract's fields
DescriptionChanges in contract specs:

1. "expiry" changed to "pay_deadline"
2. "receiver" changed to "instance"

The wallet should accept the new names.
TagsNo tags attached.

Relationships

child of 0004749 closedMarcello Stanisci receiver -> instance 

Activities

Marcello Stanisci

2016-10-24 17:30

manager   ~0011385

Setting as 'block' because it's blocking 0004749 from being tested.
Just that, it's not blocking any work though.

Florian Dold

2016-11-03 01:55

manager   ~0011404

Why is the instance in the root of the contract? It should be in the merchant data.

'contract.instance' should refer to a *contract* instance (which is a concept we don't have).

'contract.merchant.instance' would be much clearer!

Marcello Stanisci

2016-11-03 14:43

manager   ~0011411

The idea was that "merchant" field would contain non-virtual informations (like real name, real address, etc.), but yes, it's clearer like this. Fixed in f1529a..2646afb.

Florian Dold

2016-11-03 19:57

manager   ~0011419

Now fixed in the wallet in 358c0ce

Issue History

Date Modified Username Field Change
2016-10-22 19:26 Marcello Stanisci New Issue
2016-10-22 19:26 Marcello Stanisci Status new => assigned
2016-10-22 19:26 Marcello Stanisci Assigned To => Florian Dold
2016-10-24 17:28 Marcello Stanisci Relationship added child of 0004749
2016-10-24 17:29 Marcello Stanisci Severity minor => block
2016-10-24 17:30 Marcello Stanisci Note Added: 0011385
2016-10-25 10:24 Christian Grothoff Product Version => 0.1
2016-10-25 10:24 Christian Grothoff Target Version => 0.2
2016-11-03 01:55 Florian Dold Note Added: 0011404
2016-11-03 01:55 Florian Dold Status assigned => feedback
2016-11-03 14:43 Marcello Stanisci Note Added: 0011411
2016-11-03 14:43 Marcello Stanisci Status feedback => assigned
2016-11-03 19:57 Florian Dold Note Added: 0011419
2016-11-03 19:57 Florian Dold Status assigned => resolved
2016-11-03 19:57 Florian Dold Resolution open => fixed
2016-11-15 16:03 Christian Grothoff Fixed in Version => 0.2
2016-11-20 03:26 Christian Grothoff Status resolved => closed